v2.0
get
/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/kit-types
Retrieves kit types by study ID. Rights: OrsInventoryGet.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- */*
204 Response
Successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object KitTypesTO v2.0
Title:
KitTypesTO v2.0Contains details about kit types.
Nested Schema : KitTypesTO v2.0
Type:
objectTitle:
KitTypesTO v2.0Contains details about kit types.
Show Source
-
bufferdays: number
(BigDecimal)
Buffer days.Example:
5 -
deviceConnection: string
Title:
Device Connection TypeAllowed Values:[ "CloudtoCloud", "DevicetoCloud", "NoConnection" ]Device connection type.Example:DevicetoCloud -
deviceType: string
Title:
Device TypeAllowed Values:[ "ActivityWatch", "BloodPressureMonitor", "WeightScale", "ECGReader", "Spirometer", "MobileApp", "SmartPillBottle", "PulseOximeter", "WearablePatch", "Other", "GlucoseMonitor" ]Device type.Example:WearablePatch -
dispenseOutsideWindow: string
Allowed Values:
[ "0", "1" ]Indicate whether to dispense kits outside window.Example:1 -
distributionSetting: string
Allowed Values:
[ "BLINDED", "UNBLINDED" ]Kit distribution setting.Example:BLINDED -
dosage: number
(BigDecimal)
Kit dosage.Example:
5 -
id: string
(uuid)
Unique identifier
-
isDefault: string
Indicate if kit type is default.Example:
1 -
kitDescription: string
Kit description.Example:
Some description -
kitId: string
(uuid)
Kit ID.
-
kitTypeId: string
Kit type ID.Example:
kit_A -
minShipUnits: number
(BigDecimal)
Mininum kits to ship.Example:
5 -
srcId: string
(uuid)
Title:
Source IDSource identifier.Example:b1b8327a-faa6-4122-8710-6192ab5984ef -
storageSetting: string
Allowed Values:
[ "AMBIENT", "REFRIGERATED", "FROZEN" ]Kit storage setting.Example:REFRIGERATED -
studyId: string
(uuid)
Study ID.
-
studyVersionEnd: string
(date-time)
Study version end.
-
studyVersionStart: string
(date-time)
Study version start.
-
trialSupplyType: string
Trial supply type for the kit.Example:
BOTTLE -
unitsPerKit: number
(BigDecimal)
Number of units per kit.Example:
5 -
versionEnd: string
(date-time)
Version end date.
-
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object